Skip to main content
PUT
/
v1
/
custom-fields
/
{customFieldId}
Update a custom field
curl --request PUT \
  --url https://api.prod.getdex.com/v1/custom-fields/{customFieldId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "custom_field": {
    "name": "<string>",
    "field_type": "input",
    "categories": [
      {
        "category": "<string>"
      }
    ]
  }
}
'
{
  "error": true,
  "data": {
    "custom_field": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "field_type": "<string>",
      "categories": [
        {
          "category": "<string>"
        }
      ],
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  }
}

Use cases

  • Rename a custom field to better reflect its purpose
  • Update field configuration or validation rules
  • Correct a typo in a custom field name

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Path Parameters

customFieldId
string<uuid>
required

Body

application/json
custom_field
object
required

Response

Successful response

error
boolean
required
data
object
required